Bug 1249723 - Registering with a bad username,password in subscription-manager-gui in RHEL 7.2 has changed behavior
Registering with a bad username,password in subscription-manager-gui in RHEL ...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Alex Wood
John Sefler
Depends On:
  Show dependency treegraph
Reported: 2015-08-03 12:00 EDT by Sean Toner
Modified: 2015-09-24 15:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-09-24 15:34:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
shows screen shots of errors (655.30 KB, application/x-gzip)
2015-08-03 12:00 EDT, Sean Toner
no flags Details

  None (edit)
Description Sean Toner 2015-08-03 12:00:50 EDT
Created attachment 1058795 [details]
shows screen shots of errors

Description of problem:

The error behavior of registering with a bad username/password is different from RHEL 7.1, and also different from the existing errors.  If a user puts in no username and no password, an error dialog box comes up but the username/password dialog frame is still open (though not focused) in the background.

However, if a bad username/password is entered, an error dialog pops up warning the user, but the username/password dialog frame is closed in the background.  Thus when the user clicks OK on the error dialog, the user is taken back to the 
MY Installed Products tab.

Version-Release number of selected component (if applicable):

[root@rhel7-2-test-stoner entitlement]# rpm -qa | grep subscription

How reproducible:


Steps to Reproduce:

1. Click Register button from My Installed Products
2. In new dialog frame, type in an invalid user/pw
3. Click Register button

vs. no username,pw

1. same as above
2. leave username and password blank
3. same as above

Actual results:

See screenshots
(compares nouser/pw with baduser/pw)

Expected results:

If a user enters a bad username and password, the error dialog should still pop up, but the background register dialog should stay and become enabled when the user clicks OK on the error dialog.

Additional info:
Comment 2 Adrian Likins 2015-08-05 10:22:21 EDT
This goes back to the last minute error handling changes made for RHEL6 firstboot.

I think 21fcc5b210949bd0721f0148449587c088cba61b in master may fix this already.
Comment 3 vritant 2015-09-04 00:23:53 EDT
Confirmed this is fixed in 21fcc5b210949bd0721f0148449587c088cba61b in master
Comment 4 Chris Rog 2015-09-24 15:34:59 EDT
The broken behavior was never shipped; closing as NOTABUG

Note You need to log in before you can comment on or make changes to this bug.